/**
 * \class Device
 *
 * \ingroup Devices
 *
 * \brief Device driver
 *
 * This class is meant as an example.  It is not useful by itself
 * rather its usefulness is only a function of how much it helps
 * the reader.  It is in a sense defined by the person who reads it
 * and otherwise does not exist in any real form. 
 *
 * \note We are triying somthing 
 *
 * \author (last to touch it) $Kerem : bv $
 *
 * \version $Revision: 1.5 $
 *
 * \date $Date: 2021/04/09 $
 *
 * Contact: yokyok
 *
 * Created on: Wed Apr 13 18:39:37 2005
 *
 * $Id: doxygen-howto.html,v 1.5 2005/04/14 14:16:20 bv Exp $
 *
 */



#ifndef _DEVICE_H_
#define _DEVICE_H_

#include <iostream>
#include <stdint.h>
#include <unistd.h>

/**
 * @brief Device Class
 *	this calss defines a device.
 * @author Edwin
 * @date 2021 / 04 / 09
 * @version 1.0158
 */ 

class Device{

	public: 
		Device(); 
		~Device(); 
	
		
		/**
		 * @brief It \f$ \sum_{k=1}^n \f$ dose something \n it adds two thing together
		 * @author Kerem
		 * @date 2021 / 04 / 09
		 * @version 1.0
		 * @param uint8_t thing
		 * @return uint8_t retunrs thing + foo
		 */ 
		uint8_t doSomething(uint8_t thing); 

	private: 
		uint8_t foo; 
};


#endif // _DEVICE_H_
